<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SkeletonSerializer.html">SkeletonSerializer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::SkeletonSerializer Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#ae71c1e64090d98c6802f7c8887dbd546">calcAnimationSize</a>(const Skeleton *pSkel, const Animation *pAnim)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#a1438e602e95c72e7550b33e69ce79b4b">calcAnimationTrackSize</a>(const Skeleton *pSkel, const NodeAnimationTrack *pTrack)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#aab3eb6d1331193108855d00e48006ef3">calcBoneParentSize</a>(const Skeleton *pSkel)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#a44ba3d49d4a7981bcb5ed250dccd216e">calcBoneSize</a>(const Skeleton *pSkel, const Bone *pBone)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#a0978b79b95cc3ef2dc77b1f06850bd98">calcBoneSizeWithoutScale</a>(const Skeleton *pSkel, const Bone *pBone)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#aa2578877105d55d56d9b6932fd6464f2">calcKeyFrameSize</a>(const Skeleton *pSkel, const TransformKeyFrame *pKey)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#ac803922dbab28296351aa299596b0de4">calcKeyFrameSizeWithoutScale</a>(const Skeleton *pSkel, const TransformKeyFrame *pKey)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#ac9ee56e3a1eabea3db18484e3617f75c">calcSkeletonAnimationLinkSize</a>(const Skeleton *pSkel, const LinkedSkeletonAnimationSource &amp;link)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a93f9ec041b52aa6066fd0063733506b6">determineEndianness</a>(DataStreamPtr &amp;stream)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a61f017bac1e2b407925576284bc7665b">determineEndianness</a>(Endian requestedEndian)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39">Endian</a> enum name</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39a7f044c7683a7374276db6e7060f51240">ENDIAN_BIG</a> enum value</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39a10ce3b8f55cba526f6bc8237d8b25cc3">ENDIAN_LITTLE</a> enum value</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39aed60ca999861d8939cf57f19090c70ef">ENDIAN_NATIVE</a> enum value</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#ad76c677426465ced21e76d9fa8051901">exportSkeleton</a>(const Skeleton *pSkeleton, const String &amp;filename, SkeletonVersion ver=SKELETON_VERSION_LATEST, Endian endianMode=ENDIAN_NATIVE)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#a71309e8dece1694d70d250c06422db48">exportSkeleton</a>(const Skeleton *pSkeleton, DataStreamPtr stream, SkeletonVersion ver=SKELETON_VERSION_LATEST, Endian endianMode=ENDIAN_NATIVE)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a405c917e6b188b6d6ead13678295232f">flipEndian</a>(void *pData, size_t size, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a89070a1dc03c189077deabce47120165">flipEndian</a>(void *pData, size_t size)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a5beba950e3b4635070b3bb8eb41c408c">flipFromLittleEndian</a>(void *pData, size_t size, size_t count=1)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a61ff1a3d78ef5d23cabe1322a438ea22">flipToLittleEndian</a>(void *pData, size_t size, size_t count=1)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#ac44c49d0a5b668129d7e228a9fb046b8">importSkeleton</a>(DataStreamPtr &amp;stream, Skeleton *pDest)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a6331ceec847b83fed77165c9522eaa4f">mCurrentstreamLen</a></td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#aa0773a2ca956fa2864ac50f57d0aa9a2">mFlipEndian</a></td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a9e1a15f67a59822b2a0fe3afceea0a9d">mStream</a></td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a45b8d6fa3d3c64b3ab3dfe3a5084e3b4">mVersion</a></td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#af6e9b9a30c652634386f15b827e7c917">readAnimation</a>(DataStreamPtr &amp;stream, Skeleton *pSkel)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#ad0ef954a9e60c354fc40b66299be0fa3">readAnimationTrack</a>(DataStreamPtr &amp;stream, Animation *anim, Skeleton *pSkel)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#a8a2e21f2bdd349413f2ae644160cdd6a">readBone</a>(DataStreamPtr &amp;stream, Skeleton *pSkel)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#af14f5ac058e7a0ca7aad4cd349726683">readBoneParent</a>(DataStreamPtr &amp;stream, Skeleton *pSkel)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a95ed554722facb385f7fa3b53622356b">readBools</a>(DataStreamPtr &amp;stream, bool *pDest, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a333f02260ebafef1648f5824a60e499d">readChunk</a>(DataStreamPtr &amp;stream)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#afb082ece72c83e7d71a05e36cf2072f0">readFileHeader</a>(DataStreamPtr &amp;stream)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a3d7fb441425335ae97b4a157179db336">readFloats</a>(DataStreamPtr &amp;stream, float *pDest, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#aec3cb2bc0bd8a31fc799323777881662">readFloats</a>(DataStreamPtr &amp;stream, double *pDest, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a8ac6fb727f1d63972b17269d473dfbe6">readInts</a>(DataStreamPtr &amp;stream, uint32 *pDest, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#a1c1db3df49de0e99ec6b660cee0514a5">readKeyFrame</a>(DataStreamPtr &amp;stream, NodeAnimationTrack *track, Skeleton *pSkel)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a1bd2ca7c8454264f1bffe703bfe5935d">readObject</a>(DataStreamPtr &amp;stream, Vector3 &amp;pDest)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a13a9f1111633227f422fef070f6008f6">readObject</a>(DataStreamPtr &amp;stream, Quaternion &amp;pDest)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a9c2e328bda8cc2e0ae7f202ad643f0d2">readShorts</a>(DataStreamPtr &amp;stream, uint16 *pDest, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#a2bb3ca4a90d52b50d6391196b56eafd6">readSkeletonAnimationLink</a>(DataStreamPtr &amp;stream, Skeleton *pSkel)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a235a4bb6da1fe66326b1c05678ad878f">readString</a>(DataStreamPtr &amp;stream)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#aa8ed220a17c4edb0ed32f925fbe837f6">readString</a>(DataStreamPtr &amp;stream, size_t numChars)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a3268ab522d56e98d88b604255b0f43d4">Serializer</a>()</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#a60d5c533949c465ab8d9fb29b7d90fde">setWorkingVersion</a>(SkeletonVersion ver)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#a7f61ab4bc3f409dc5098198a5adc74e2">SkeletonSerializer</a>()</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#a60433587f8c7c0385ae241f2e1cf43c5">writeAnimation</a>(const Skeleton *pSkel, const Animation *anim, SkeletonVersion ver)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#a577bdf2fcf0f5e90010e5e108ae1c005">writeAnimationTrack</a>(const Skeleton *pSkel, const NodeAnimationTrack *track)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#a384e94e83fc8b830b0d4806c7c1d31e0">writeBone</a>(const Skeleton *pSkel, const Bone *pBone)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#a9d1979b34e8f8a79c1f636fe1df0bbce">writeBoneParent</a>(const Skeleton *pSkel, unsigned short boneId, unsigned short parentId)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a4f7209961701f9c90c5e48f264394d48">writeBools</a>(const bool *const pLong, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#afa565aa6d4619af064a12f470539e575">writeChunkHeader</a>(uint16 id, size_t size)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a3eb5614dd7d87ce109d74f5bb6f07b0f">writeData</a>(const void *const buf, size_t size, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a7a25395a380ecdda85b1baeacf4a8a07">writeFileHeader</a>(void)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#aeab7d76e6f420e1be6e6c60d9b12a6c6">writeFloats</a>(const float *const pfloat, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a063a40c4984f04d0ddf41096a5ffd9b5">writeFloats</a>(const double *const pfloat, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a8191e338697b554a8ccf4fc16fd4a47e">writeInts</a>(const uint32 *const pInt, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#a2a6c8e2e4c3e636fca264bd2cd184f51">writeKeyFrame</a>(const Skeleton *pSkel, const TransformKeyFrame *key)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#ac76c37d13ca53e5af9c146c546d0f401">writeObject</a>(const Vector3 &amp;vec)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a3152bb5fb33d99dff568b6d03d6c25e0">writeObject</a>(const Quaternion &amp;q)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#add3fca628a66fa8f58db9a98bfbee78e">writeShorts</a>(const uint16 *const pShort, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#a10d5f79d9b0e494a6a7e6ee7cc7f7898">writeSkeleton</a>(const Skeleton *pSkel, SkeletonVersion ver)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#aa30096f8afbabfed4c04ee4d63a2044d">writeSkeletonAnimationLink</a>(const Skeleton *pSkel, const LinkedSkeletonAnimationSource &amp;link)</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a5ee71fde1e0d85bd15172b023474174e">writeString</a>(const String &amp;string)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a78a593233ff92623bc48b15e00cf90cc">~Serializer</a>()</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SkeletonSerializer.html#afc1af70edf4987da2ad8f3614c1759f2">~SkeletonSerializer</a>()</td><td><a class="el" href="classOgre_1_1SkeletonSerializer.html">Ogre::SkeletonSerializer</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
